Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SplitterPaneScrolling=function(){
};
Telerik.Web.UI.SplitterPaneScrolling.prototype={Both:1,X:2,Y:3,None:4};
Telerik.Web.UI.SplitterPaneScrolling.registerEnum("Telerik.Web.UI.SplitterPaneScrolling",false);
Telerik.Web.UI.SplitterResizeMode=function(){
};
Telerik.Web.UI.SplitterResizeMode.prototype={AdjacentPane:1,Proportional:2,EndPane:3};
Telerik.Web.UI.SplitterResizeMode.registerEnum("Telerik.Web.UI.SplitterResizeMode",false);
Telerik.Web.UI.SplitterDirection=function(){
};
Telerik.Web.UI.SplitterDirection.prototype={Forward:1,Backward:2};
Telerik.Web.UI.SplitterDirection.registerEnum("Telerik.Web.UI.SplitterDirection",false);
Telerik.Web.UI.SplitterBeforeResizeEventArgs=function(_1,_2){
Telerik.Web.UI.SplitterBeforeResizeEventArgs.initializeBase(this);
this._newWidth=_1;
this._newHeight=_2;
};
Telerik.Web.UI.SplitterBeforeResizeEventArgs.prototype={get_newWidth:function(){
return this._newWidth;
},get_newHeight:function(){
return this._newHeight;
}};
$telerik.makeCompatible(Telerik.Web.UI.SplitterBeforeResizeEventArgs);
Telerik.Web.UI.SplitterBeforeResizeEventArgs.registerClass("Telerik.Web.UI.SplitterBeforeResizeEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.SplitterResizedEventArgs=function(_3,_4){
Telerik.Web.UI.SplitterResizedEventArgs.initializeBase(this);
this._oldWidth=_3;
this._oldHeight=_4;
};
Telerik.Web.UI.SplitterResizedEventArgs.prototype={get_oldWidth:function(){
return this._oldWidth;
},get_oldHeight:function(){
return this._oldHeight;
}};
$telerik.makeCompatible(Telerik.Web.UI.SplitterResizedEventArgs);
Telerik.Web.UI.SplitterResizedEventArgs.registerClass("Telerik.Web.UI.SplitterResizedEventArgs",Sys.EventArgs);
Telerik.Web.UI.CallRadResize=function(_5){
var _6=_5.getElementsByTagName("*");
for(var i=0;i<_6.length;i++){
var _8=_6[i];
if(_8.RadResize){
_8.RadResize();
}else{
if(_8.radResize){
_8.radResize();
}
}
if(_8.RadResizeStopLookup||_8.radResizeStopLookup){
return;
}
}
};
Telerik.Web.UI.CallRadShow=function(_9){
var _a=_9.getElementsByTagName("*");
for(var i=0;i<_a.length;i++){
var _c=_a[i];
if(_c.RadShow){
_c.RadShow();
}else{
if(_c.radShow){
_c.radShow();
}
}
if(_c.RadShowStopLookup||_c.radShowStopLookup){
return;
}
}
};
Telerik.Web.UI.RadSplitter=function(_d){
Telerik.Web.UI.RadSplitter.initializeBase(this,[_d]);
this._fullScreenMode=false;
this._visibleDuringInit=true;
this._liveResize=false;
this._resizeWithBrowserWindow=true;
this._resizeWithParentPane=true;
this._orientation=Telerik.Web.UI.Orientation.Vertical;
this._resizeMode=Telerik.Web.UI.SplitterResizeMode.AdjacentPane;
this._borderSize=1;
this._panesBorderSize=1;
this._splitBarSize=null;
this._width="400px";
this._height="400px";
this._heightOffset=0;
this._resizeHandlerAttached=false;
this._panes=[];
this._panesByIndex=[];
this._panesById=[];
this._splitBars=[];
this._splitBarsByAbsIndex=[];
this._splitBarsById=[];
this._splitBarsByIndex=[];
this._initialSizeApplied=false;
this._splitBarsSizeCalculated=false;
this._containerElement=$get("RAD_SPLITTER_"+this.get_id());
var _e=$telerik.getViewPortSize();
this._initialWindowWidth=_e.width;
this._initialWindowHeight=_e.height;
};
Telerik.Web.UI.RadSplitter.prototype={endUpdate:function(){
if(this._width.toString().indexOf("px")>-1){
this._width=parseInt(this._width,10);
}
if(this._height.toString().indexOf("px")>-1){
this._height=parseInt(this._height,10);
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"endUpdate");
},initialize:function(){
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"initialize");
this._originalWidth=this.get_width();
this._originalHeight=this.get_height();
if(this.isNested()&&this._resizeWithParentPane){
this.get_parent()._childSplitter=this;
}
if(this._fullScreenMode){
try{
document.body.style.height="100%";
document.forms[0].style.height="100%";
document.documentElement.style.height="100%";
document.body.style.width="100%";
document.forms[0].style.width="100%";
document.documentElement.style.width="100%";
document.body.style.margin="0px";
}
catch(e){
}
}
this._borderSize=(this.isNested())?0:this._borderSize;
this._appLoadHandler=Function.createDelegate(this,this._appLoadHandler);
Sys.Application.add_load(this._appLoadHandler);
},dispose:function(){
if(this._resizeHandlerAttached){
var _f=this.get_element();
if(_f!=null){
_f.RadShow=null;
_f.RadResize=null;
_f.radShow=null;
_f.radResize=null;
}
}
Telerik.Web.UI.RadSplitter.callBaseMethod(this,"dispose");
},set_resizeMode:function(_10){
this._resizeMode=_10;
},get_resizeMode:function(){
return this._resizeMode;
},set_liveResize:function(_11){
this._liveResize=_11;
},get_liveResize:function(){
return this._liveResize;
},set_heightOffset:function(_12){
this._heightOffset=_12;
},get_heightOffset:function(){
return this._heightOffset;
},set_width:function(_13){
if(_13.toString().indexOf("px")>-1){
_13=parseInt(_13,10);
}else{
if(_13.toString().indexOf("%")>-1){
_13=this._calculatePercentWidth(_13);
}
}
if(isNaN(_13)){
return;
}
if(_13==this._width){
return;
}
this.resize(_13,null);
},get_width:function(){
return this._width;
},set_height:function(_14){
if(_14.toString().indexOf("px")>-1){
_14=parseInt(_14,10);
}else{
if(_14.toString().indexOf("%")>-1){
_14=this._calculatePercentHeight(_14);
}
}
if(_14==this._height){
return;
}
if(isNaN(_14)){
return;
}
this.resize(null,_14);
},get_height:function(){
return this._height;
},get_parent:function(){
return this._parent;
},add_loaded:function(_15){
this.get_events().addHandler("loaded",_15);
},remove_loaded:function(_16){
this.get_events().removeHandler("loaded",_16);
},add_beforeResize:function(_17){
this.get_events().addHandler("beforeResize",_17);
},remove_beforeResize:function(_18){
this.get_events().removeHandler("beforeResize",_18);
},add_resized:function(_19){
this.get_events().addHandler("resized",_19);
},remove_resized:function(_1a){
this.get_events().removeHandler("resized",_1a);
},getMinWidth:function(_1b,_1c){
var _1d=this._getMinMaxSize(_1b,_1c,true,true);
return _1d;
},getMaxWidth:function(_1e,_1f){
var _20=this._getMinMaxSize(_1e,_1f,false,true);
return _20;
},getMinHeight:function(_21,_22){
var _23=this._getMinMaxSize(_21,_22,true,false);
return _23;
},getMaxHeight:function(_24,_25){
var _26=this._getMinMaxSize(_24,_25,false,false);
return _26;
},isNested:function(){
return (this.get_parent()!=null);
},getInnerWidth:function(){
return this.get_width()-this._getBordersDiff();
},getInnerHeight:function(){
return this.get_height()-this._getBordersDiff();
},getPanes:function(){
return this._panes;
},resize:function(_27,_28,_29){
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
var _2a=new Date();
if(!_29){
var _2b=new Telerik.Web.UI.SplitterBeforeResizeEventArgs(_27,_28);
this.raiseEvent("beforeResize",_2b);
if(_2b.get_cancel()){
return false;
}
}
var _2c=false;
var _2d=false;
var _2e=0;
var _2f=this.get_width();
var _30=this.get_height();
if(_27!=null&&_27!=_2f){
var _31=_27-_2f;
this._setOuterWidth(_27);
this._width=_27;
if(this.isVertical()){
_2e=_31;
_2c=true;
}else{
_2d=true;
}
}
if(_28!=null&&_28!=_30){
var _32=_28-this.get_height();
this._setOuterHeight(_28);
this._height=_28;
if(!this.isVertical()){
_2e=_32;
_2c=true;
}else{
_2d=true;
}
}
if(_2d){
for(var i=0;i<this._panes.length;i++){
var _34=this._panes[i];
if(_34.get_collapsed()){
continue;
}
var _35=_34.get_width();
var _36=_34.get_height();
if(this.isVertical()){
_34.set_height(_28);
}else{
_34.set_width(_27);
}
_34.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_35,_36));
_34._callRadResize();
}
}
if(_2c){
if(this._containsInitialFreeSizedPanes()){
var _37=this._getInitialFreeSizedPanes();
var _38=_37.length;
var _39=parseInt(_2e/_38,10);
var _3a=0;
for(var i=0;i<_37.length;i++){
var _34=_37[i];
var _3b=(_39>0)?_34._getAvailIncreaseDelta():_34._getAvailDecreaseDelta();
var _3c=_39;
if(_3b<Math.abs(_39)){
_3c=_3b*((_39>0)?1:-1);
_3a+=_39-_3c;
}
var _3d=_34.getVarSize()+_3c;
var _36=_34.get_height();
var _35=_34.get_width();
_34.setVarSize(_3d);
if(this._initializedInternal&&!_29){
_34.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_35,_36));
_34._callRadResize();
}
}
this._fixPanesRounding(_37);
if(_3a!=0){
_3a*=-1;
this._resizeProportional(_3a,null,Telerik.Web.UI.SplitterDirection.Forward);
}
}else{
_2e*=-1;
this._resizeProportional(_2e,null,Telerik.Web.UI.SplitterDirection.Forward);
}
}
if(!_29){
this.raiseEvent("resized",new Telerik.Web.UI.SplitterResizedEventArgs(_2f,_30));
}
return true;
},getEndPane:function(){
return this.getPaneByIndex(this._panes.length-1);
},getStartPane:function(){
return this.getPaneByIndex(0);
},isVertical:function(){
return (this._orientation==Telerik.Web.UI.Orientation.Vertical);
},getPaneByIndex:function(_3e){
return this._panesByIndex[_3e];
},getPaneById:function(_3f){
return this._panesById[_3f];
},getSplitBarByIndex:function(_40){
return this._splitBarsByIndex[_40];
},getSplitBarById:function(_41){
return this._splitBarsById[_41];
},getSplitBars:function(){
return this._splitBars;
},getContainerElement:function(){
return this._containerElement;
},_getSplitBarByAbsIndex:function(_42){
return this._splitBarsByAbsIndex[_42];
},_resizeAdjacentPane:function(_43,_44,_45){
if(_43==0){
return;
}
var _46=this._getAvailAdjacentPane(_44._indexInPanes,_45);
if(_46==null){
return false;
}
if(!this._isCollapseMode&&!this._isExpandMode){
var _47=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_43,_45);
_44.raiseEvent("beforeResize",_47);
if(_47.get_cancel()){
return false;
}
var _48=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_43*-1,_45);
_46.raiseEvent("beforeResize",_48);
if(_48.get_cancel()){
return false;
}
}
var _49=_44.get_width();
var _4a=_44.get_height();
var _4b=_46.get_width();
var _4c=_46.get_height();
var _4d=_44.getVarSize()+_43;
var _4e=_46.getVarSize()-_43;
_44.setVarSize(_4d);
_46.setVarSize(_4e);
if(!this._isCollapseMode&&!this._isExpandMode){
_44.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_49,_4a));
_44._callRadResize();
}
_46.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_4b,_4c));
_46._callRadResize();
return true;
},_resizeEndPane:function(_4f,_50,_51){
if(_4f==0){
return;
}
var _52=(_51==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
if(!this._isCollapseMode&&!this._isExpandMode){
var _53=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_4f,_51);
_50.raiseEvent("beforeResize",_53);
if(_53.get_cancel()){
return false;
}
var _54=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_4f*-1,_51);
_52.raiseEvent("beforeResize",_54);
if(_54.get_cancel()){
return false;
}
}
var _55=_50.get_width();
var _56=_50.get_height();
var _57=_52.get_width();
var _58=_52.get_height();
var _59=_50.getVarSize()+_4f;
_50.setVarSize(_59);
var _5a=_52.getVarSize()-_4f;
_52.setVarSize(_5a);
if(!this._isCollapseMode&&!this._isExpandMode){
_50.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_55,_56));
_50._callRadResize();
}
_52.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_57,_58));
_52._callRadResize();
return true;
},_resizeProportional:function(_5b,_5c,_5d){
if(_5b==0){
return;
}
var _5e=(this._isCollapseMode||this._isExpandMode)?false:true;
if(_5e&&_5c!=null){
var _5f=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_5b,_5d);
_5c.raiseEvent("beforeResize",_5f);
if(_5f.get_cancel()){
return;
}
}
var _60=Math.abs(_5b);
var _61=0;
var _62=(_5b>0);
var _63=(_5c!=null)?((_5d==Telerik.Web.UI.SplitterDirection.Forward)?_5c._indexInPanes+1:_5c._indexInPanes-1):0;
var _64=[];
if(_5d==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_63;i<this._panes.length;i++){
var _66=this.getPaneByIndex(i);
_64[_64.length]=_66;
_61+=_66.getVarSize();
}
}else{
for(var i=_63;i>=0;i--){
var _66=this.getPaneByIndex(i);
_64[_64.length]=_66;
_61+=_66.getVarSize();
}
}
if(_64.length<2&&_5c!=null){
this._resizeAdjacentPane(_5b,_5c,_5d);
return;
}
var _67=[];
do{
var _68=_61;
var _69=0;
for(var i=0;i<_64.length;i++){
if(_67[i]){
continue;
}
var _6a=_64[i];
if(_6a.get_collapsed()||_6a.isLocked()){
_67[i]=true;
continue;
}
var _6b=_6a.getVarSize();
var _6c=(_62)?_6a._getAvailDecreaseDelta():_6a._getAvailIncreaseDelta();
var _6d=_6b/_68;
var _6e=_60*_6d;
if((_6e-_6c)>0){
_67[i]=true;
}
var _6f=Math.min(_6e,_6c);
if(_62){
_6f*=-1;
}
var _70=_6b+_6f;
if(_5e){
var _71=new Telerik.Web.UI.PaneBeforeResizeEventArgs(parseInt(_70),_5d);
_6a.raiseEvent("beforeResize",_71);
if(_71.get_cancel()){
return false;
}
}
_69+=_6e-Math.abs(_6f);
var _72=_6a.get_width();
var _73=_6a.get_height();
_6a.setVarSize(_70);
_6a.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_72,_73));
_6a._callRadResize();
_61+=(_67[i])?(-1)*_6a.getVarSize()+_6f:_6f;
}
_60=_69;
}while(_69!=0);
if(_5c!=null){
var _74=_5c.get_width();
var _75=_5c.get_height();
_5c.setVarSize(_5c.getVarSize()+_5b);
if(_5e){
_5c.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_74,_75));
_5c._callRadResize();
}
}
this._fixPanesRounding(_64);
},_fixPanesRounding:function(_76){
if(!_76){
_76=this.getPanes();
}
var _77=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _78=this.getPanes();
var _79=0;
for(var i=0;i<_78.length;i++){
var _7b=_78[i].getVarSize();
_79+=_7b;
}
var _7c=_77-_79;
if(_7c!=0){
for(var i=0;i<_76.length;i++){
var _7d=_76[i];
if(_7d.get_collapsed()||_7d.isLocked()){
continue;
}
var _7e=new Telerik.Web.UI.PaneBeforeResizeEventArgs(_7c,Telerik.Web.UI.SplitterDirection.Forward);
_7d.raiseEvent("beforeResize",_7e);
if(_7e.get_cancel()){
continue;
}
var _7f=_7d.get_width();
var _80=_7d.get_height();
var _81=false;
if(_7c>0){
if(_7d._getAvailIncreaseDelta()>0){
_81=true;
}
}else{
if(_7d._getAvailDecreaseDelta()>0){
_81=true;
}
}
if(_81){
_7d.setVarSize(_7d.getVarSize()+_7c);
_7d.raiseEvent("resized",new Telerik.Web.UI.PaneResizedEventArgs(_7f,_80));
_7d._callRadResize();
break;
}
}
}
},_addPane:function(_82){
this._panes[this._panes.length]=_82;
this._panesByIndex[_82._indexInPanes]=_82;
this._panesById[_82.get_id()]=_82;
},_addSplitBar:function(_83){
this._splitBars[this._splitBars.length]=_83;
this._splitBarsByIndex[_83._indexInSplitBars]=_83;
this._splitBarsById[_83.get_id()]=_83;
this._splitBarsByAbsIndex[_83.get_index()]=_83;
},_setOuterWidth:function(_84){
this._width=_84;
$telerik.setOuterWidth(this.getContainerElement(),_84);
},_setOuterHeight:function(_85){
this._height=_85;
$telerik.setOuterHeight(this.getContainerElement(),_85);
},_setInnerWidth:function(_86){
this._setOuterWidth(_86+this._getBordersDiff());
},_setInnerHeight:function(_87){
this._setOuterHeight(_87+this._getBordersDiff());
},_arePanesFixedSize:function(){
var _88=this.getPanes();
for(var i=0;i<_88.length;i++){
if(!_88[i]._isFixedSize()){
return false;
}
}
return true;
},_containsFreeSizedPanes:function(){
var _8a=this.getPanes();
for(var i=0;i<_8a.length;i++){
if(_8a[i]._isFreeSize()){
return true;
}
}
return false;
},_containsInitialNotFixedSizePanes:function(){
if(this._containsInitialFreeSizedPanes()){
return true;
}
var _8c=this.getPanes();
for(var i=0;i<_8c.length;i++){
if(_8c[i]._getOrigVarSize().toString().indexOf("%")){
return true;
}
}
return false;
},_containsInitialFreeSizedPanes:function(){
var _8e=this.getPanes();
for(var i=0;i<_8e.length;i++){
if(_8e[i]._isInitialFreeSize()){
return true;
}
}
return false;
},_arePanesPercenSize:function(){
var _90=this.getPanes();
for(var i=0;i<_90.length;i++){
if(!_90[i]._isPercentSize()){
return false;
}
}
return true;
},_handlePageResize:function(_92){
if(!this._isVisible()){
return;
}
if(!this._initialSizeApplied){
this._calculateInitialSize();
}
var _93=new Date();
var now=new Date();
if((now-this._lastResize)<150){
this._pendingResize=true;
return;
}
this._pendingResize=false;
var _95=$telerik.getViewPortSize();
var _96=_95.width;
var _97=_95.height;
if(!_92&&this._initialWindowHeight==_97&&this._initialWindowWidth==_96){
return;
}
this._initialWindowHeight=_97;
this._initialWindowWidth=_96;
var _98=null;
if(this._originalWidth.toString().indexOf("%")>-1){
var _99=this._calculatePercentWidth();
if(_99!=this._width){
_98=_99;
}
}
var _9a=null;
if(this._originalHeight.toString().indexOf("%")>-1){
var _9b=this._calculatePercentHeight();
if(_9b!=this._height){
_9a=_9b;
}
}
this.resize(_98,_9a);
this._lastResize=new Date();
var _9c=this;
var t=function(){
if(_9c._pendingResize){
_9c._handlePageResize();
}
};
var _9e=new Date();
setTimeout(t,200);
},_setSize:function(){
if(this._arePanesFixedSize()&&!this._containsInitialFreeSizedPanes()){
var _9f=this._getPanesVarSize();
var _a0=this._getSplitBarsSize();
var _a1=this._getBordersSize();
var _a2=_9f+_a0+_a1;
if(this.isVertical()){
this._changeOriginalWidth(_a2);
this._setOuterWidth(_a2);
}else{
this._changeOriginalHeight(_a2);
this._setOuterHeight(_a2);
}
}
if(this._originalWidth.toString().indexOf("%")>-1){
var _a3=this._calculatePercentWidth();
this._setInnerWidth(_a3);
if(!this.isVertical()){
var _a4=this.getPanes();
var _a5=this.getInnerWidth();
for(var i=0;i<_a4.length;i++){
var _a7=_a4[i];
_a4[i].set_width(_a5);
}
}
}
if(this._originalHeight.toString().indexOf("%")>-1){
var _a8=this._calculatePercentHeight();
this._setOuterHeight(_a8);
if(this.isVertical()){
var _a4=this.getPanes();
var _a9=this.getInnerHeight();
for(var i=0;i<_a4.length;i++){
var _a7=_a4[i];
_a4[i].set_height(_a9);
}
}
}
},_fixSplitterActualSize:function(){
if(this._originalHeight.toString().indexOf("%")==-1){
return;
}
var _aa=this.getContainerElement();
if(parseInt(_aa.style.height)==this._height){
return;
}
this._setOuterHeight(this._height);
},_calculatePercentWidth:function(_ab){
return this._calculatePercentSize(_ab,null).width;
},_calculatePercentHeight:function(_ac){
return this._calculatePercentSize(null,_ac).height;
},_calculatePercentSize:function(_ad,_ae){
if(!_ad){
_ad=this._originalWidth;
}
if(!_ae){
_ae=this._originalHeight;
}
var _af=this.get_element();
_af.style.display="none";
for(var i=0;i<this._panes.length;i++){
this._panes[i]._hideContent();
}
var _b1=document.createElement("DIV");
_b1.style.height=_ae;
_b1.style.width=_ad;
_b1=_af.parentNode.appendChild(_b1);
if(document.documentElement){
var _b2=document.documentElement.style.overflowX;
document.documentElement.style.overflowX="hidden";
}
var _b3=_b1.offsetHeight;
var _b4=_b1.offsetWidth;
if(document.documentElement){
document.documentElement.style.overflowX=_b2;
}
_b1.parentNode.removeChild(_b1);
for(var i=0;i<this._panes.length;i++){
this._panes[i]._showContent();
}
_af.style.display="";
var _b5=2*this._borderSize;
var _b6=_b3-_b5-this._heightOffset;
var _b7=_b4-_b5;
return {width:_b7,height:_b6};
},_setPanesSize:function(){
var _b8=this.getPanes();
var _b9=this._arePanesPercenSize();
for(var i=0;i<_b8.length;i++){
var _bb=_b8[i];
if(_bb._isPercentSize()){
var _bc=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _bd=(this.isVertical())?_bb._originalWidth:_bb._originalHeight;
var _be=parseInt(_bd)*_bc/100;
_be=parseInt(_be);
_bb.setVarSize(_be);
_bb._callRadResize();
}
}
if(this._containsFreeSizedPanes()){
var _bf=(this.isVertical())?this._width:this._height;
var _c0=this._getBordersSize();
var _c1=(this.isVertical())?this._getPanesAvailWidth():this._getPanesAvailHeight();
var _b8=this.getPanes();
var _c2=0;
for(var i=0;i<_b8.length;i++){
if(_b8[i]._isFixedSize()){
_c1-=_b8[i].getVarSize();
_b8[i]._callRadResize();
}else{
if(_b8[i].isLocked()||(_b8[i].get_collapsed()&&_b8[i]._expandedSize>0)){
continue;
}
_c2++;
}
}
var _c3=_c1/_c2;
_c3=parseInt(_c3);
var _c4=this._getFreeSizedPanes();
for(var i=0;i<_c4.length;i++){
if(_c4[i].isLocked()||(_c4[i].get_collapsed()&&_c4[i]._expandedSize>0)){
continue;
}
_c4[i].setVarSize(_c3);
_c4[i]._callRadResize();
}
}
},_getFreeSizedPanes:function(){
var _c5=this.getPanes();
var _c6=[];
for(var i=0;i<_c5.length;i++){
if(_c5[i]._isFreeSize()){
_c6[_c6.length]=_c5[i];
}
}
return _c6;
},_getInitialFreeSizedPanes:function(){
var _c8=this.getPanes();
var _c9=[];
for(var i=0;i<_c8.length;i++){
if(_c8[i]._isInitialFreeSize()){
_c9[_c9.length]=_c8[i];
}
}
return _c9;
},_getPanesVarSize:function(){
var _cb=this.getPanes();
var _cc=0;
for(var i=0;i<_cb.length;i++){
_cc+=_cb[i].getVarSize();
}
return _cc;
},_getPanesAvailWidth:function(){
var _ce=this.get_width()-this._getBordersSize();
if(this.isVertical()){
_ce-=this._getSplitBarsSize();
}
return _ce;
},_getPanesAvailHeight:function(){
var _cf=this.get_height()-this._getBordersSize();
if(!this.isVertical()){
_cf-=this._getSplitBarsSize();
}
return _cf;
},_getPanesBordersSize:function(){
var _d0=0;
for(var i=0;i<this._panes.length;i++){
if(!this._panes[i].get_collapsed()){
_d0++;
}
}
return (_d0-1)*this._panesBorderSize;
},_getBordersSize:function(){
var _d2=0;
for(var i=0;i<this._panes.length;i++){
if(!this._panes[i].get_collapsed()){
_d2++;
}
}
return (Math.max(_d2+this._splitBars.length-1,0))*this._panesBorderSize+this._getBordersDiff();
},_getBordersDiff:function(){
var _d4=0;
return _d4;
},_getSplitBarsSize:function(){
var _d5=0;
if(this._splitBarsSizeCalculated){
return this._splitBarsSize;
}
if(this._splitBars.length>0){
var _d6=0;
if(this._splitBarSize!=null){
_d6=parseInt(this._splitBarSize);
}else{
var _d7=this.getSplitBarByIndex(0);
var _d8=_d7.get_element();
var _d9=document.createElement("DIV");
_d9.className=this.getContainerElement().className;
_d9.style.position="absolute";
_d9.style.top=-1000;
_d9.style.left=-1000;
_d9.style.width=500;
_d9.style.height=500;
var _da=document.createElement("DIV");
_da.className=_d8.className;
_da.style.backgroundColor="red";
_d9.appendChild(_da);
_d9=document.body.appendChild(_d9);
_d6=(this.isVertical())?_da.offsetWidth:_da.offsetHeight;
_d6-=2*this._panesBorderSize;
_d6=Math.max(_d6,0);
_d9.parentNode.removeChild(_d9);
}
_d5=this._splitBars.length*_d6;
}
this._splitBarsSizeCalculated=true;
this._splitBarsSize=_d5;
return _d5;
},_getAvailIncreaseDelta:function(_db,_dc){
var _dd=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _de=(_dc==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_dd=_de._getAvailIncreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _df=[];
if(_dc==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_db+1;i<this._panes.length;i++){
_df[_df.length]=this.getPaneByIndex(i);
}
}else{
for(var i=_db-1;i>=0;i--){
_df[_df.length]=this.getPaneByIndex(i);
}
}
for(var i=0;i<_df.length;i++){
var _e1=_df[i];
_dd+=_e1._getAvailIncreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _e2=this._getAvailAdjacentPane(_db,_dc);
if(_e2==null){
return 0;
}
_dd+=_e2._getAvailIncreaseDelta();
}
_dd=Math.max(_dd,0);
return _dd;
},_getAvailAdjacentPane:function(_e3,_e4){
if((this._panes.length-1)==_e3){
_e4=Telerik.Web.UI.SplitterDirection.Backward;
}else{
if(_e3==0){
_e4=Telerik.Web.UI.SplitterDirection.Forward;
}
}
var _e5=(_e4==Telerik.Web.UI.SplitterDirection.Forward)?1:-1;
var _e6=_e3+_e5;
var _e7=null;
do{
_e7=this.getPaneByIndex(_e6);
if(_e7==null){
return null;
}
_e6+=_e5;
}while(_e7.get_collapsed()||_e7.isLocked());
return _e7;
},_getAvailDecreaseDelta:function(_e8,_e9){
var _ea=0;
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
var _eb=(_e9==Telerik.Web.UI.SplitterDirection.Forward)?this.getEndPane():this.getStartPane();
_ea=_eb._getAvailDecreaseDelta();
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
var _ec=[];
if(_e9==Telerik.Web.UI.SplitterDirection.Forward){
for(var i=_e8+1;i<this._panes.length;i++){
_ec[_ec.length]=this.getPaneByIndex(i);
}
}else{
for(var i=_e8-1;i>=0;i--){
_ec[_ec.length]=this.getPaneByIndex(i);
}
}
for(var i=0;i<_ec.length;i++){
var _ee=_ec[i];
_ea+=_ee._getAvailDecreaseDelta();
}
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
var _ef=this._getAvailAdjacentPane(_e8,_e9);
if(_ef==null){
return 0;
}
_ea=_ef._getAvailDecreaseDelta();
}
_ea=Math.max(_ea,0);
return _ea;
},_collapsePane:function(_f0,_f1){
if(!_f0._initialCollapseMode){
var _f2=new Telerik.Web.UI.PaneBeforeCollapseEventArgs();
_f0.raiseEvent("beforeCollapse",_f2);
if(_f2.get_cancel()){
return false;
}
}
this._isCollapseMode=true;
if(typeof (_f1)=="undefined"){
_f1=Telerik.Web.UI.SplitterDirection.Forward;
}
var _f3=_f0.getVarSize();
if(_f3>0){
_f3+=this._panesBorderSize;
}
var _f4=this._getAvailIncreaseDelta(_f0._indexInPanes,_f1);
if(_f4<_f3){
this._isCollapseMode=false;
return false;
}
_f3*=-1;
_f0._collapse(_f1);
_f0.resize(_f3,_f1);
if(!_f0._initialCollapseMode){
_f0.raiseEvent("collapsed",new Telerik.Web.UI.PaneCollapsedEventArgs());
}
this._isCollapseMode=false;
return true;
},_expandPane:function(_f5,_f6){
var _f7=new Telerik.Web.UI.PaneBeforeExpandEventArgs();
_f5.raiseEvent("beforeExpand",_f7);
if(_f7.get_cancel()){
return false;
}
this._isExpandMode=true;
if(typeof (_f6)=="undefined"){
_f6=Telerik.Web.UI.SplitterDirection.Forward;
}
var _f8=_f5._expandedSize;
_f8+=this._panesBorderSize;
var _f9=this._getAvailDecreaseDelta(_f5._indexInPanes,_f6);
if(_f9<=0){
this._isExpandMode=false;
return false;
}
var _fa=_f5.getVarMinSize();
if(_fa>_f9){
this._isExpandMode=false;
return false;
}
var _fb=Math.min(_f9,_f8);
_f5._show();
_f5.resize(_fb,_f6);
_fb-=this._panesBorderSize;
_f5._expand(_fb);
_f5.raiseEvent("expanded",new Telerik.Web.UI.PaneExpandedEventArgs());
this._isExpandMode=false;
return true;
},_resizePanes:function(_fc,_fd,_fe){
if(typeof (_fe)=="undefined"){
_fe=Telerik.Web.UI.SplitterDirection.Forward;
}
switch(this._resizeMode){
case Telerik.Web.UI.SplitterResizeMode.EndPane:
this._resizeEndPane(_fc,_fd,_fe);
break;
case Telerik.Web.UI.SplitterResizeMode.Proportional:
this._resizeProportional(_fc,_fd,_fe);
break;
case Telerik.Web.UI.SplitterResizeMode.AdjacentPane:
default:
this._resizeAdjacentPane(_fc,_fd,_fe);
}
},_changeOriginalWidth:function(_ff){
this._originalWidth=_ff;
},_changeOriginalHeight:function(_100){
this._originalHeight=_100;
},_getMinMaxSize:function(_101,_102,_103,_104){
if(!_101){
_101=0;
}
if(!_102){
_102=this._panes.length;
}
_101=Math.max(0,_101);
_102=Math.min(_102,this._panes.length);
var _105=(_104)?"get_width":"get_height";
var _106=(_103)?"get_min":"get_max";
_106+=(_104)?"Width":"Height";
var _107=this._getSplitBarsSize()+this._getBordersSize();
for(var i=_101;i<_102;i++){
var _109=this.getPaneByIndex(i);
_107+=(_109.isLocked())?_109[_105]():_109[_106]();
}
return _107;
},_isVisible:function(){
return (this.getContainerElement().offsetWidth!=0);
},_appLoadHandler:function(){
var _10a=false;
if((this._originalWidth.toString().indexOf("%")>-1||this._originalHeight.toString().indexOf("%")>-1)&&this._containsInitialNotFixedSizePanes()){
_10a=true;
}
var _10b=this.get_element();
var self=this;
if(_10a&&this._resizeWithBrowserWindow&&!this.isNested()){
$addHandlers(window,{"resize":this._handlePageResize},this);
_10b.RadResize=function(){
window.setTimeout(function(){
if(!self._isVisible()){
return;
}
self._handlePageResize(true);
},10);
};
this._resizeHandlerAttached=true;
}
_10b.RadShow=function(){
var t=function(){
if(!self._isVisible()){
return;
}
self._handlePageResize(true);
};
window.setTimeout(t,10);
};
if(this._isVisible()){
this._calculateInitialSize();
}
this._initializedInternal=true;
Sys.Application.remove_load(this._appLoadHandler);
this.raiseEvent("loaded");
},_calculateInitialSize:function(){
if(this._initialSizeApplied){
return;
}
if(!this._isVisible()){
return;
}
this._setSize();
this._setPanesSize();
this._fixSplitterActualSize();
if(!this._visibleDuringInit){
var _10e=this.getContainerElement();
_10e.style.visibility="visible";
}
this._initialSizeApplied=true;
}};
$telerik.makeCompatible(Telerik.Web.UI.RadSplitter);
Telerik.Web.UI.RadSplitter.registerClass("Telerik.Web.UI.RadSplitter",Telerik.Web.UI.RadWebControl);

